Package org.apache.qpid.proton.engine.impl

# Interface TransportWrapper

All Superinterfaces:
  `TransportInput`, `TransportOutput`

All Known Subinterfaces:
  `SslTransportWrapper`

All Known Implementing Classes:
  `HandshakeSniffingTransportWrapper`, `PlainTransportWrapper`, `SimpleSslTransportWrapper`, `SslHandshakeSniffingTransportWrapper`

public interface TransportWrapper extends TransportInput, TransportOutput

## Method Summary

### Methods inherited from interface org.apache.qpid.proton.engine.impl.TransportInput

`capacity, close_tail, position, process, tail`

### Methods inherited from interface org.apache.qpid.proton.engine.impl.TransportOutput

`close_head, head, pending, pop`